<?php

namespace SGalinski\SgMail\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Template domain model
 */
class Template extends AbstractEntity {
	/**
	 * @var string
	 */
	protected $extensionKey = '';

	/**
	 * @var string
	 */
	protected $subject = '';

	/**
	 * @var string
	 */
	protected $templateName = '';

	/**
	 * @var string
	 */
	protected $language = '';

	/**
	 * @var string
	 */
	protected $content = '';

	/**
	 * @var string
	 */
	protected $fromName = '';

	/**
	 * @var string
	 */
	protected $fromMail = '';

	/**
	 * @var string
	 */
	protected $cc = '';

	/**
	 * @var string
	 */
	protected $bcc = '';

	/**
	 * @var string
	 */
	protected $replyTo = '';

	/**
	 * @var boolean
	 */
	protected $isOverwritten = FALSE;

	/**
	 * @return string
	 */
	public function getExtensionKey() {
		return $this->extensionKey;
	}

	/**
	 * @param string $extensionKey
	 */
	public function setExtensionKey($extensionKey) {
		$this->extensionKey = $extensionKey;
	}

	/**
	 * @return string
	 */
	public function getSubject() {
		return $this->subject;
	}

	/**
	 * @param string $subject
	 */
	public function setSubject($subject) {
		$this->subject = $subject;
	}

	/**
	 * @return string
	 */
	public function getTemplateName() {
		return $this->templateName;
	}

	/**
	 * @param string $templateName
	 */
	public function setTemplateName($templateName) {
		$this->templateName = $templateName;
	}

	/**
	 * @return string
	 */
	public function getLanguage() {
		return $this->language;
	}

	/**
	 * @param string $language
	 */
	public function setLanguage($language) {
		$this->language = $language;
	}

	/**
	 * @return string
	 */
	public function getContent() {
		return $this->content;
	}

	/**
	 * @param string $content
	 */
	public function setContent($content) {
		$this->content = $content;
	}

	/**
	 * @return string
	 */
	public function getFromName() {
		return $this->fromName;
	}

	/**
	 * @param string $fromName
	 */
	public function setFromName($fromName) {
		$this->fromName = $fromName;
	}

	/**
	 * @return string
	 */
	public function getFromMail() {
		return $this->fromMail;
	}

	/**
	 * @param string $fromMail
	 */
	public function setFromMail($fromMail) {
		$this->fromMail = trim($fromMail);
	}

	/**
	 * @return string
	 */
	public function getCc() {
		return $this->cc;
	}

	/**
	 * @param string $cc
	 */
	public function setCc($cc) {
		$this->cc = trim($cc);
	}

	/**
	 * @return string
	 */
	public function getBcc() {
		return $this->bcc;
	}

	/**
	 * @param string $bcc
	 */
	public function setBcc($bcc) {
		$this->bcc = trim($bcc);
	}

	/**
	 * @return string
	 */
	public function getReplyTo() {
		return $this->replyTo;
	}

	/**
	 * @param string $replyTo
	 */
	public function setReplyTo($replyTo) {
		$this->replyTo = trim($replyTo);
	}

	/**
	 * @return bool
	 */
	public function getIsOverwritten() {
		return $this->isOverwritten;
	}

	/**
	 * @param bool $isOverwritten
	 */
	public function setIsOverwritten($isOverwritten) {
		$this->isOverwritten = (bool) $isOverwritten;
	}
}
